LinuxPedia

Wiki libre et indépendant dédié à GNU-Linux et BSD.

Outils pour utilisateurs

Outils du site


opensuse:11.2_kde4.5

Passer à KDE 4.5 sous openSUSE 11.3

openSUSE 11.3 étant arrivée quelques semaines avant la version stable de KDE 4.5, elle a logiquement été livrée avec KDE 4.4. Les amoureux des systèmes bien à jour risquaient donc d'être tristes, une fois la nouvelle mouture de KDE parue… Pas d'inquiétudes : l'équipe KDE d'openSUSE veille au grain ! Voici donc la procédure de transition…

Allez dans le gestionnaire de dépôts, dans YaST, et supprimez tous les dépôts faisant référence à KDE (par exemple, les dépôts communautaires KDE extra apps, ou KDE updates…) et les dépôts liés à Qt. Une fois fait, ajoutez les dépôts suivants :

http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_11.3_KDE_Distro_Factory

C'est le dépôt principal, appelez le par exemple KDE45

http://download.opensuse.org/repositories/KDE:/Distro:/Factory/openSUSE_11.3

C'est le dépôt avec les applications supplémentaires, que vous pouvez appeler KDE-Extra.

Vous pouvez faire tout ça en utilisant zypper (en root, ou avec sudo) :

zypper addrepo http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_11.3_KDE_Distro_Factory KDE45
zypper addrepo http://download.opensuse.org/repositories/KDE:/Distro:/Factory/openSUSE_11.3 KDE-Extra

(Pour la suppression des dépôts avec zypper, vous pouvez utiliser zypper rr. Mais vous devez connaître le nom de votre dépôt, pour ça ;-) )

Faisons la mise à jour, maintenant… Avec zypper, ça donne :

 zypper dup --from KDE45 --from KDE-Extra

:!: N'oubliez pas les directives from dans le zypper dup !!! Ça vous préservera peut être d'un système instable !

Avec YaST, allez dans le gestionnaire de paquet, et passez dans la vue “Dépôts”. Sélectionnez d'abord le dépôt KDE45, et cliquez sur le lien “Switch system packages to this repository” (ou en français, quelque chose du genre “Remplacez les paquets système par les versions de ce dépôt). Faites de même avec le dépôt KDE-Extra.

Reste alors à faire une mise à jour : allez dans Paquet, Tous les paquets, Mettre à jour si une version plus récente est disponible.

Une fois la mise à jour faite, il reste un petit truc en suspens… Installez le plasmoide

plasmoid-networkmanagement

Soit par YaST, soit avec

zypper in plasmoid-networkmanagement

Le solveur de dépendances va vous dire qu'il y a un problème. Désinstallez le paquet NetworkManager-kde4, acceptez. Ce dernier paquet a un petit problème, c'est un workaround comme un autre…

Amusez-vous bien !

opensuse/11.2_kde4.5.txt · Dernière modification: 2018/11/17 13:53 (modification externe)